Subject: bug#14199: 24.3.50; `read-kbd-macro' doc

From: Drew Adams <[email-masked]>
Date: Mon, 10 Feb 2014 14:00:44 -0800 (PST)

> The region-based interactive definition is documented in the Emacs
> manual, while the Lisp-based is in the lispref manual.  I think
> that's probably ok, while it does seem pretty strange to reuse the
> meanings of the parameters.

That does not respond to the reported bug.

> > 2. Mention that STRING has the form provided by `format-kbd-
> > macro'.  `format-kbd-macro' is mentioned nowhere in the manual,
> > and this is a good place for it.
> 
> Well, it mentions that it's an inverse of `key-description', which
> should cover it...

Why close this bug without fixing it?  I gave you the info needed:
`format-kbd-macro' is precisely the thing missing - not some vague
hand-waving about an inverse of `key-description'.